#include <iostream>
using namespace std;
struct frilens{
    double z;
    double p;};
int main(){
    int n;
    cin>>n;
    frilens a[n];
    for(int i = 0; i<n; i++){
        cin>>a[i].z>>a[i].p;}
    double x[n];
    for(int i = 0; i<n; i++){
        double s = 0;
        for(int j = 0; j<n; j++){
            if(a[i].p<=a[j].p){
                s+=a[j].z;}}
        x[i] = (double)(s*a[i].p/100);}
    int maxx;
    for(int i=0;i<n-1;i++){
        maxx=i;
        for (int j=i+1;j<n;j++){
           if(x[j]>x[maxx])
              maxx=j;}
    swap(x[maxx],x[i]);}
    cout<<x[0];
}